/*
 File:          CSICommand.h

 Description:   Chicken interpreter results parser

 Author:        Kon Lovett
*/

#import <Foundation/Foundation.h>

@interface CSICommand : NSObject
{
    NSString    *description;       // command description
    NSString    *name;              // command name
    id          target;             // perform target
    SEL         selector;           // result parser selector
    int         count;              // result dictionary initial capacity, 0 means no result expected
    BOOL        modal;              // placeholder
}

- (id)initWithDescription:(NSString *)desc name:(NSString *)nam target:(id)trg selector:(SEL)sel count:(int)cnt;

- (NSString *)description;

- (NSString *)name;

- (id)target;

- (SEL)selector;

- (int)count;

- (NSDictionary *)parseResult:(NSString *)result;

@end
